Name:           crlibm
Version:        1.0
Release:        0.4.beta4%{?dist}
Summary:        Correctly Rounded mathematical library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://lipforge.ens-lyon.fr/www/crlibm/
Source0:        http://lipforge.ens-lyon.fr/frs/download.php/162/crlibm-1.0beta4.tar.gz
Patch0:         %{name}-1.0beta4-shared.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if ! 0%{?rhel} || 0%{?rhel} >= 6
BuildRequires:  texlive-latex
%else
BuildRequires:  tetex-latex
%endif
BuildRequires:  autoconf, automake, libtool
BuildRequires:  libscs-devel

%description
CRlibm is a free mathematical library (libm) which provides:
* implementations of the double-precision C99 standard elementary functions,
* correctly rounded in the four IEEE-754 rounding modes,
* with a comprehensive proof of both the algorithms used and their
  implementation,
* sufficiently efficient in average time, worst-case time, and memory
  consumption to replace existing libms transparently.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-1.0beta4
%patch0 -p1 -b .shared

rm -rf scs_lib


%build
# autoreconf requires because the patch modifies configure.ac and Makefile.am
autoreconf --install --force
%configure --disable-static
make %{?_smp_mflags}
make crlibm.pdf


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# We do not want to install the test programs
rm -rf $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING.LIB
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/crlibm.pdf
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Mon Mar 21 2011 Tim Niemueller <tim@niemueller.de> - 1.0-0.4.beta4
- Fix LaTeX build require for EL5

* Sat Feb 19 2011 Tim Niemueller <tim@niemueller.de> - 1.0-0.3.beta4
- Delete included scs_lib in prep stage

* Sat Feb 19 2011 Tim Niemueller <tim@niemueller.de> - 1.0-0.2.beta4
- Use system-wide installed scslib if available

* Tue Feb 08 2011 Tim Niemueller <tim@niemueller.de> - 1.0-0.1.beta4
- Initial package

